uuid: 1fc3e502-e70a-40e6-a501-3e84532683e8
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_indico_event_indico_link
    - node.type.indico_event
  module:
    - datetime
    - node
    - user
id: indico_events_block
label: "Indico Events Block"
module: views
description: ""
tag: ""
base_table: node_field_data
base_field: nid
core_version_requirement: ^9 || ^10
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: perm
        options:
          perm: "access content"
      cache:
        type: tag
        options: {}
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ""
          query_tags: {}
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: "Sort by"
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: mini
        options:
          items_per_page: 5
          offset: 0
          id: 0
          total_pages: null
          tags:
            previous: ‹‹
            next: ››
          expose:
            items_per_page: false
            items_per_page_label: "Items per page"
            items_per_page_options: "5, 10, 25, 50"
            items_per_page_options_all: false
            items_per_page_options_all_label: "- All -"
            offset: false
            offset_label: Offset
      style:
        type: html_list
        options:
          grouping: {}
          row_class: ""
          default_row_class: true
          type: ul
          wrapper_class: item-list
          class: ""
      row:
        type: fields
        options:
          inline: {}
          separator: ""
          hide_empty: false
          default_field_elements: true
      fields:
        field_indico_event_indico_link:
          id: field_indico_event_indico_link
          table: node__field_indico_event_indico_link
          field: field_indico_event_indico_link
          relationship: none
          group_type: group
          admin_label: ""
          label: ""
          exclude: true
          alter:
            alter_text: false
            text: ""
            make_link: false
            path: ""
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ""
            rel: ""
            link_class: ""
            prefix: ""
            suffix: ""
            target: ""
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ""
            more_link_path: ""
            strip_tags: false
            trim: false
            preserve_tags: ""
            html: false
          element_type: ""
          element_class: ""
          element_label_type: ""
          element_label_class: ""
          element_label_colon: false
          element_wrapper_type: ""
          element_wrapper_class: ""
          element_default_classes: true
          empty: ""
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {}
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ", "
          field_api_classes: false
          plugin_id: field
        title:
          id: title
          table: node_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ""
          label: ""
          exclude: false
          alter:
            alter_text: false
            text: ""
            make_link: true
            path: "{{ field_indico_event_indico_link }}"
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ""
            rel: ""
            link_class: ""
            prefix: ""
            suffix: ""
            target: _blank
            nl2br: false
            max_length: 0
            word_boundary: false
            ellipsis: false
            more_link: false
            more_link_text: ""
            more_link_path: ""
            strip_tags: false
            trim: false
            preserve_tags: ""
            html: false
          element_type: ""
          element_class: ""
          element_label_type: ""
          element_label_class: ""
          element_label_colon: false
          element_wrapper_type: ""
          element_wrapper_class: ""
          element_default_classes: true
          empty: ""
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {}
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ", "
          field_api_classes: false
          entity_type: node
          entity_field: title
          plugin_id: field
      filters:
        status:
          value: "1"
          table: node_field_data
          field: status
          plugin_id: boolean
          entity_type: node
          entity_field: status
          id: status
          expose:
            operator: ""
          group: 1
        type:
          id: type
          table: node_field_data
          field: type
          relationship: none
          group_type: group
          admin_label: ""
          operator: in
          value:
            indico_event: indico_event
          group: 1
          exposed: false
          expose:
            operator_id: ""
            label: ""
            description: ""
            use_operator: false
            operator: ""
            identifier: ""
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          entity_type: node
          entity_field: type
          plugin_id: bundle
        feeds_item_target_id:
          id: feeds_item_target_id
          table: node__feeds_item
          field: feeds_item_target_id
          relationship: none
          group_type: group
          admin_label: ""
          operator: "="
          value:
            min: ""
            max: ""
            value: ""
          group: 1
          exposed: false
          expose:
            operator_id: ""
            label: ""
            description: ""
            use_operator: false
            operator: ""
            identifier: ""
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          plugin_id: numeric
      sorts:
        field_indico_event_end_date_value:
          id: field_indico_event_end_date_value
          table: node__field_indico_event_end_date
          field: field_indico_event_end_date_value
          relationship: none
          group_type: group
          admin_label: ""
          order: ASC
          exposed: false
          expose:
            label: ""
          granularity: second
          plugin_id: datetime
        field_indico_event_start_date_value:
          id: field_indico_event_start_date_value
          table: node__field_indico_event_start_date
          field: field_indico_event_start_date_value
          relationship: none
          group_type: group
          admin_label: ""
          order: ASC
          exposed: false
          expose:
            label: ""
          granularity: second
          plugin_id: datetime
      header: {}
      footer: {}
      empty: {}
      relationships: {}
      arguments: {}
      display_extenders: {}
      use_ajax: true
      title: ""
    cache_metadata:
      max-age: -1
      contexts:
        - "languages:language_content"
        - "languages:language_interface"
        - url.query_args
        - "user.node_grants:view"
        - user.permissions
      tags:
        - "config:field.storage.node.field_indico_event_indico_link"
